require File.expand_path('spec/spec_helper')
require "rampart/events/fail_event"

describe Rampart::FailEvent do
  describe "::new" do
    it "has default message" do
      event = Rampart::FailEvent.new()
      status, headers, body = event.to_truple
      _(body).must_equal(["Not Authorized"])
    end

    it "receives message param" do
      event = Rampart::FailEvent.new("Hello World")
      status, headers, body = event.to_truple
      _(body).must_equal(["Hello World"])
    end
  end

  it "halts" do
    event = Rampart::FailEvent.new
    _(event.halt?).must_equal(true)
  end

  it "isn't successful" do
    event = Rampart::FailEvent.new
    _(event.success?).must_equal(false)
  end

  it "can return rack truple" do
    event = Rampart::FailEvent.new
    status, headers, body = event.to_truple
    
    _(status).must_equal(401)
    _(headers).must_equal({"Content-Length"=>"14"})
    _(body).must_equal(["Not Authorized"])
  end
end