require File.expand_path('spec/spec_helper')
require "rampart/events/success_event"

describe Rampart::SuccessEvent do
  it "receives user" do
    user = Object.new
    event = Rampart::SuccessEvent.new(user)
    _(event.user).must_equal(user)
  end

  it "halts" do
    event = define_success_event
    _(event.halt?).must_equal(true)
  end

  it "is successful" do
    event = define_success_event
    _(event.success?).must_equal(true)
  end

  def define_success_event(user=nil)
    user ||= Object.new
    Rampart::SuccessEvent.new(user)
  end
end